# SRC/ssnode_dfs.c File Reference

Determines the union of row structures of columns within the relaxed node. More...

`#include "slu_sdefs.h"`

## Functions
int | ssnode_dfs (const int jcol, const int kcol, const int *asub, const int *xa_begin, const int *xa_end, int *xprune, int *marker, GlobalLU_t *Glu)

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997

     Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

     THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
     EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

     Permission is hereby granted to use or copy this program for any
     purpose, provided the above notices are retained on all copies.
     Permission to modify the code and to distribute modified code is
     granted, provided the above notices are retained, and a notice that
     the code was modified is included with the above copyright notice.

## Function Documentation

int ssnode_dfs | ( | const int | jcol,
|  | const int | kcol,
|  | const int * | asub,
|  | const int * | xa_begin,
|  | const int * | xa_end,
|  | int * | xprune,
|  | int * | marker,
|  | GlobalLU_t * | Glu |
| ) |  |  |

     Purpose
     =======
        ssnode_dfs() - Determine the union of the row structures of those
        columns within the relaxed snode.
        Note: The relaxed snodes are leaves of the supernodal etree, therefore,
        the portion outside the rectangular supernode must be zero.

     Return value
     ============
         0   success;
        >0   number of bytes allocated when run out of memory.